org.eclipse.mat.snapshot.registry

## Class CollectionExtractorProviderRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<ICollectionExtractorProvider>
  - - org.eclipse.mat.snapshot.registry.CollectionExtractorProviderRegistry

All Implemented Interfaces:
  IExtensionChangeHandler

    public final class CollectionExtractorProviderRegistry
    extends RegistryReader<ICollectionExtractorProvider>

Since:
  1.6

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<CollectionExtractionInfo>` `getCollectionExtractionInfo()`
`static CollectionExtractorProviderRegistry` `instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static CollectionExtractorProviderRegistry instance()

#### getCollectionExtractionInfo

    public List<CollectionExtractionInfo> getCollectionExtractionInfo()